org.apache.hadoop.yarn.server.federation.store.records.impl.pb

## Class UpdateApplicationHomeSubClusterRequestPBImpl

- java.lang.Object
- - org.apache.hadoop.yarn.server.federation.store.records.UpdateApplicationHomeSubClusterRequest
  - - org.apache.hadoop.yarn.server.federation.store.records.impl.pb.UpdateApplicationHomeSubClusterRequestPBImpl

-     @InterfaceAudience.Private
       @InterfaceStability.Unstable
      public class UpdateApplicationHomeSubClusterRequestPBImpl
      extends UpdateApplicationHomeSubClusterRequest

  Protocol buffer based implementation of `UpdateApplicationHomeSubClusterRequest` .

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateApplicationHomeSubClusterRequestPBImpl()`
    `UpdateApplicationHomeSubClusterRequestPBImpl(org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.UpdateApplicationHomeSubClusterRequestProto proto)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `ApplicationHomeSubCluster` | `getApplicationHomeSubCluster()` Get the `ApplicationHomeSubCluster` representing the mapping of the application to it's home sub-cluster.
    `org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.UpdateApplicationHomeSubClusterRequestProto` | `getProto()`
    `int` | `hashCode()`
    `void` | `setApplicationHomeSubCluster(ApplicationHomeSubCluster applicationInfo)` Set the `ApplicationHomeSubCluster` representing the mapping of the application to it's home sub-cluster.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.hadoop.yarn.server.federation.store.records.UpdateApplicationHomeSubClusterRequest

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateApplicationHomeSubClusterRequestPBImpl

          public UpdateApplicationHomeSubClusterRequestPBImpl()

    - #### UpdateApplicationHomeSubClusterRequestPBImpl

          public UpdateApplicationHomeSubClusterRequestPBImpl(org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.UpdateApplicationHomeSubClusterRequestProto proto)

  - ### Method Detail

    - #### getProto

          public org.apache.hadoop.yarn.federation.proto.YarnServerFederationProtos.UpdateApplicationHomeSubClusterRequestProto getProto()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getApplicationHomeSubCluster

          public ApplicationHomeSubCluster getApplicationHomeSubCluster()

      Description copied from class: `UpdateApplicationHomeSubClusterRequest`
      Get the `ApplicationHomeSubCluster` representing the mapping of the application to it's home sub-cluster.
      Specified by:
        `getApplicationHomeSubCluster` in class `UpdateApplicationHomeSubClusterRequest`
      Returns:
        the mapping of the application to it's home sub-cluster.

    - #### setApplicationHomeSubCluster

          public void setApplicationHomeSubCluster(ApplicationHomeSubCluster applicationInfo)

      Description copied from class: `UpdateApplicationHomeSubClusterRequest`
      Set the `ApplicationHomeSubCluster` representing the mapping of the application to it's home sub-cluster.
      Specified by:
        `setApplicationHomeSubCluster` in class `UpdateApplicationHomeSubClusterRequest`
      Parameters:
        `applicationInfo` - the mapping of the application to it's home sub-cluster.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.